
from dhwp.main import DhWpTest

def test_dhwp():
    # test dhwp without any subcommands or arguments
    with DhWpTest() as app:
        app.run()
        assert app.exit_code == 0


def test_dhwp_debug():
    # test that debug mode is functional
    argv = ['--debug']
    with DhWpTest(argv=argv) as app:
        app.run()
        print(vars(app))
        assert app.debug is True


def test_command1():
    # test command1 without arguments
    argv = ['command1']
    with DhWpTest(argv=argv) as app:
        app.run()
        data,output = app.last_rendered
        assert data['foo'] == 'bar'
        assert output.find('Foo => bar')


    # test command1 with arguments
    argv = ['command1', '--foo', '--not-bar']
    with DhWpTest(argv=argv) as app:
        app.run()
        data,output = app.last_rendered
        assert data['foo'] == 'not-bar'
        assert output.find('Foo => not-bar')
